Package org.snpsift.annotate.mem

# Class Zzz

java.lang.Object
org.snpsift.annotate.mem.Zzz

public class Zzz extends Object
Test: This class loaads a "database" VCF file and then annotates another VCF file. Chromosome aliases file: http://hgdownload.soe.ucsc.edu/goldenPath/hg38/database/chromAlias.txt.gz

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHR1_NUM_ENTRIES`

## Constructor Summary

Constructors
Constructor
Description
`Zzz()`

## Method Summary

Modifier and Type
Method
Description
`void`
`benchmarkSortedVariantsVcfIterator(String databaseFileName)`
`void`
`benchmarkVcfIterator(String databaseFileName)`
`static void`
`main(String[] args)`
Main

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHR1_NUM_ENTRIES

public static final int CHR1_NUM_ENTRIES

See Also:
  - Constant Field Values

## Constructor Details

### Zzz

public Zzz()

## Method Details

### main

public static void main(String[] args)
Main

### benchmarkSortedVariantsVcfIterator

public void benchmarkSortedVariantsVcfIterator(String databaseFileName)

### benchmarkVcfIterator

public void benchmarkVcfIterator(String databaseFileName)